List templates
curl --request GET \
--url https://api.getdialed.ai/v1/flows/templatesimport requests
url = "https://api.getdialed.ai/v1/flows/templates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getdialed.ai/v1/flows/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"category": "reporting",
"description": "Fetch Five9 reports and load them into your warehouse",
"id": "tmpl_a1b2c3d4",
"inputs": [],
"name": "Nightly report sync",
"status": "active",
"steps": [],
"tags": [
"five9",
"reporting"
],
"variables": [],
"version": 1,
"webhooks": []
}
],
"limit": 123,
"skip": 123,
"total": 123,
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}Templates
List templates
List reusable flow templates in the public catalog. Filter by status/category, sort by sort_by/order, and paginate with limit/skip. No authentication required.
GET
/
flows
/
templates
List templates
Query Parameters
Available options:
active, draft, archived Allowed sort fields for GET /templates — recency (default) or name.
Available options:
created_at, name Sort direction for list endpoints that accept a sort_by field.
Available options:
asc, desc Required range:
1 <= x <= 500Required range:
x >= 0